Bug 186717 - Boot fails due to unsatisfied write access during filesystem check
Boot fails due to unsatisfied write access during filesystem check
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2006-03-25 11:44 EST by Christian Schellenberger
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-05 11:03:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christian Schellenberger 2006-03-25 11:44:50 EST
Description of problem:
After updating Fedora Core 4 to 5 via APT Fedora fails to boot.
When Fedora tries to check the LVM-Filesystem it stops with the following error
fsck.ext3: Permission denied while trying to open /dev/VolGroup00/LogVol00
You must have r/w access to the filesystem or be root 

Manual fsck with the rescue console also fails with unsatisfied permissions.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:
Impossible to boot Fedora, because checking filesystem is denied.

Expected results:
Write access to the Logical Volume to check and repair filesystem.

Additional info:
Possible workaround:
Setting bootparameter to "enforcing=0" and then setting SElinux to "permissive".
Comment 1 Daniel Walsh 2006-04-03 12:58:54 EDT
Fixed in selinux-policy-2.2.29-2.fc5
Comment 3 Daniel Walsh 2006-05-05 11:03:57 EDT
Closing as these have been marked as modified, for a while.  Feel free to reopen
if not fixed

Note You need to log in before you can comment on or make changes to this bug.